Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers.ejb
Class ClassUtil

    java.lang.Object
      |
      +--oracle.soap.providers.ejb.ClassUtil

public class ClassUtil
extends java.lang.Object

Field Summary
`int` | `m_notUsed`

Constructor Summary
`ClassUtil(java.lang.Object obj)`
`ClassUtil(java.lang.String class_name, java.lang.String schema_name)`

Method Summary
`static void` | `assertEjbStruct(java.lang.Class c)`
`static java.lang.Class` | `classForName(java.lang.String class_name, java.lang.String schema_name)`
`java.lang.Class` | `get_class()`
`java.lang.reflect.Field[]` | `getDeclaredFields()`
`java.lang.reflect.Method` | `getDeclaredMethod(java.lang.String methodName)`
`java.lang.String[]` | `getDeclaredMethodNames()`
`java.lang.reflect.Method[]` | `getDeclaredMethods()`
`static java.lang.String` | `getName(java.lang.Class c)`
`java.lang.String[]` | `getParameterNames(int methodIndex)`
`java.lang.Class[]` | `getParameters(int methodIndex)`
`static boolean` | `hasGotNoArgConstructor(java.lang.Class c)`
`static boolean` | `isSerializable(java.lang.Class c)`
`java.lang.Object` | `newInstance()`
`java.lang.Object` | `newInstance(int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_notUsed

    public int m_notUsed

Constructor Detail

### ClassUtil

    public ClassUtil(java.lang.String class_name,
                     java.lang.String schema_name)
              throws java.lang.ClassNotFoundException

### ClassUtil

    public ClassUtil(java.lang.Object obj)

Method Detail

### get_class

    public java.lang.Class get_class()

### newInstance

    public java.lang.Object newInstance()
                                 throws java.lang.Exception

    `java.lang.Exception`

### newInstance

    public java.lang.Object newInstance(int length)
                                 throws java.lang.Exception

    `java.lang.Exception`

### getDeclaredMethods

    public java.lang.reflect.Method[] getDeclaredMethods()
                                                  throws java.lang.ClassNotFoundException

    `java.lang.ClassNotFoundException`

### getDeclaredMethodNames

    public java.lang.String[] getDeclaredMethodNames()
                                              throws java.lang.ClassNotFoundException

    `java.lang.ClassNotFoundException`

### getDeclaredMethod

    public java.lang.reflect.Method getDeclaredMethod(java.lang.String methodName)
                                               throws java.lang.ClassNotFoundException

    `java.lang.ClassNotFoundException`

### getParameters

    public java.lang.Class[] getParameters(int methodIndex)

### getParameterNames

    public java.lang.String[] getParameterNames(int methodIndex)

### getDeclaredFields

    public java.lang.reflect.Field[] getDeclaredFields()
                                                throws java.lang.ClassNotFoundException

    `java.lang.ClassNotFoundException`

### getName

    public static java.lang.String getName(java.lang.Class c)

### hasGotNoArgConstructor

    public static boolean hasGotNoArgConstructor(java.lang.Class c)

### isSerializable

    public static boolean isSerializable(java.lang.Class c)

### assertEjbStruct

    public static void assertEjbStruct(java.lang.Class c)
                                throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

### classForName

    public static java.lang.Class classForName(java.lang.String class_name,
                                               java.lang.String schema_name)
                                        throws java.lang.ClassNotFoundException

    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.